application: maselknowdocap

version: 1
api_version: 1
runtime: python27
threadsafe: false    # true for WSGI & concurrent requests (Python 2.7 only)

builtins:
- remote_api: on

derived_file_type:
- python_precompiled

handlers:

- url: /remote_api
  script: $PYTHON_LIB/google/appengine/ext/remote_api/handler.py
  login: admin

- url: /_ah/stats.*
  script: $PYTHON_LIB/google/appengine/ext/appstats/ui.py
  login: admin

# static files
- url: /static/(.*)
  static_files: applications/myapp/static/\1
  upload: applications/myapp/static/(.*)

- url: /_ah/queue/default
  script: gaehandler.wsgiapp
  login: admin

- url: .*
  script: gaehandler.wsgiapp
  secure: optional

admin_console:
  pages:
  - name: Appstats
    url: /_ah/stats

skip_files: |
 ^(.*/)?(
 (app\.yaml)|
 (app\.yml)|
 (.*cron\.yaml)|
 (#.*#)|
 (.*~)|
 (.*\.py[co])|
 (.*/RCS/.*)|
 (\..*)|
 ((admin|examples|welcome)\.tar)|
 (applications/(admin|examples|welcome)/.*)|
 (applications/.*?/databases/.*) |
 (applications/.*?/errors/.*)|
 (applications/.*?/cache/.*)|
 (applications/.*?/sessions/.*)|
 (.*.fla)|
 )$